class Kujundid{
	// ??? kuidas lihtsamalt teha kahemõõtmelist massiivi koos algväärtustega ???
	public Kujundid(){
	}
	public boolean[][] nr1(int asend){
		boolean[][] kuju=new boolean[4][4];		
		switch(asend){
			case 0:
				kuju[0][0]=true;
				kuju[1][0]=true;
				kuju[2][0]=true;
				kuju[3][0]=true;		
				break;
			case 1:
				kuju[0][0]=true;kuju[0][1]=true;kuju[0][2]=true;kuju[0][3]=true;
				break;
			case 2:
				kuju[0][0]=true;
				kuju[1][0]=true;
				kuju[2][0]=true;
				kuju[3][0]=true;
				break;
			case 3: 
				kuju[0][0]=true;kuju[0][1]=true;kuju[0][2]=true;kuju[0][3]=true;
				break;
		}
		return kuju;
	}	
	public boolean[][] nr2(int asend){		
			boolean[][] kuju=new boolean[4][4];		
			kuju[0][0]=true;kuju[0][1]=true;
			kuju[1][0]=true;kuju[1][1]=true;
		return kuju;
	}
	public boolean[][] nr3(int asend){
		boolean[][] kuju=new boolean[4][4];		
		if(asend==0){
			kuju[0][0]=true;kuju[0][1]=true;
			kuju[1][0]=true;
		}else if(asend==1){
			kuju[0][0]=true;kuju[0][1]=true;
							kuju[1][1]=true;
		}else if(asend==2){
							kuju[0][1]=true;
			kuju[1][0]=true;kuju[1][1]=true;
		}else if(asend==3){
			kuju[0][0]=true;
			kuju[1][0]=true;kuju[1][1]=true;
		}
		
		return kuju;
	}
	public boolean[][] nr4(int asend){
		boolean[][] kuju=new boolean[4][4];		
		
		switch(asend){
			case 0:
				kuju[0][0]=true;kuju[0][1]=true;kuju[0][2]=true;
								kuju[1][1]=true;		
				break;
			case 1:
								kuju[0][1]=true;
				kuju[1][0]=true;kuju[1][1]=true;
								kuju[2][1]=true;
				break;
			case 2:
								kuju[0][1]=true;		
				kuju[1][0]=true;kuju[1][1]=true;kuju[1][2]=true;
								
				break;
			case 3: 
				kuju[0][0]=true;
				kuju[1][0]=true;kuju[1][1]=true;
				kuju[2][0]=true;
				break;
		}
		return kuju;
	}
	public boolean[][] nr5(int asend){
		boolean[][] kuju=new boolean[4][4];		
		kuju[0][0]=true;
		return kuju;
	}
	public boolean[][] nr6(int asend){
		boolean[][] kuju=new boolean[4][4];		
		
		switch(asend){
			case 0:
				kuju[0][0]=true;kuju[0][1]=true;
				kuju[1][0]=true;
				kuju[2][0]=true;
				break;
			case 1:
				kuju[0][0]=true;kuju[0][1]=true;kuju[0][2]=true;
												kuju[1][2]=true;
				break;
			case 2:
								kuju[0][1]=true;
								kuju[1][1]=true;
				kuju[2][0]=true;kuju[2][1]=true;				
				break;
			case 3: 
				kuju[0][0]=true;
				kuju[1][0]=true;kuju[1][1]=true;kuju[1][2]=true;												
				break;
		}
		return kuju;
	}
	public boolean[][] nr7(int asend){
		boolean[][] kuju=new boolean[4][4];		
		
		switch(asend){
			case 0:
				kuju[0][0]=true;kuju[0][1]=true;
								kuju[1][1]=true;
								kuju[2][1]=true;
				break;
			case 1:
												kuju[0][2]=true;
				kuju[1][0]=true;kuju[1][1]=true;kuju[1][2]=true;												
				break;
			case 2:
				kuju[0][0]=true;
				kuju[1][0]=true;
				kuju[2][0]=true;kuju[2][1]=true;
				
				break;
			case 3: 
				kuju[0][0]=true;kuju[0][1]=true;kuju[0][2]=true;												
				kuju[1][0]=true;
				break;
		}
		return kuju;
	}
	public boolean[][] nr8(int asend){
		boolean[][] kuju=new boolean[4][4];		
		
		switch(asend){
			case 0:
				kuju[0][0]=true;
				kuju[1][0]=true;kuju[1][1]=true;
								kuju[2][1]=true;
				break;
			case 1:
								kuju[0][1]=true;kuju[0][2]=true;												
				kuju[1][0]=true;kuju[1][1]=true;
				break;
			case 2:
				kuju[0][0]=true;
				kuju[1][0]=true;kuju[1][1]=true;
								kuju[2][1]=true;
				break;
			case 3: 
								kuju[0][1]=true;kuju[0][2]=true;												
				kuju[1][0]=true;kuju[1][1]=true;
				break;
		}
		return kuju;
	}
	public boolean[][] nr9(int asend){
		boolean[][] kuju=new boolean[4][4];		
		
		switch(asend){
			case 0:
								kuju[0][1]=true;
				kuju[1][0]=true;kuju[1][1]=true;
				kuju[2][0]=true;
				break;
			case 1:
				kuju[0][0]=true;kuju[0][1]=true;												
								kuju[1][1]=true;kuju[1][2]=true;
				break;
			case 2:
								kuju[0][1]=true;
				kuju[1][0]=true;kuju[1][1]=true;
				kuju[2][0]=true;
				break;
			case 3: 
				kuju[0][0]=true;kuju[0][1]=true;												
								kuju[1][1]=true;kuju[1][2]=true;
				break;
		}
		return kuju;
	}
}